--- mktemp-1.5/Makefile.linux	1997-09-16 20:54:17.000000000 +0200
+++ mktemp-1.5/Makefile	2002-06-19 23:19:24.000000000 +0200
@@ -1,5 +1,18 @@
-#	$OpenBSD: Makefile,v 1.1 1996/11/21 07:59:31 millert Exp $
+CFLAGS+=-Wall
 
-PROG=	mktemp
+PROG=mktemp
 
-.include <bsd.prog.mk>
+mandir=/usr/share/man
+
+CC=gcc
+CFLAGS=$(RPM_OPT_FLAGS)
+
+all:	$(PROG)
+
+clean:
+	rm -f $(PROG) *.o
+
+install:
+	mkdir -p $(ROOT)/bin $(ROOT)/$(mandir)/man1
+	install -m 755 mktemp $(ROOT)/bin/mktemp
+	install -m 644 mktemp.1 $(ROOT)/$(mandir)/man1
--- mktemp-1.5/mktemp.c.linux	1997-09-16 20:54:02.000000000 +0200
+++ mktemp-1.5/mktemp.c	2002-06-19 23:17:45.000000000 +0200
@@ -38,10 +38,26 @@
 #include <stdlib.h>
 #include <string.h>
 #include <unistd.h>
-#include <err.h>
+#include <errno.h>
+#include <stdarg.h>
 
 extern char *__progname;
 
+void err(int somecode, char * message, ...) {
+    va_list arglist;
+
+    va_start(arglist, message);
+    vfprintf(stderr, message, arglist);
+    fprintf(stderr, "\n");
+    va_end(arglist);
+
+    exit(somecode);
+}
+
+void errx(int somecode, char * message) {
+    err(somecode, message);
+}
+
 void
 usage()
 {
